'use strict';

var _interopRequireWildcard = function (obj) { return obj && obj.__esModule ? obj : { 'default': obj }; };

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _React = require('react');

var _React2 = _interopRequireWildcard(_React);

'use strict';

var prefixCls = 'ant-breadcrumb';

var BreadcrumbItem = _React2['default'].createClass({
  displayName: 'BreadcrumbItem',

  render: function render() {
    var link = _React2['default'].createElement(
      'a',
      _extends({ className: prefixCls + '-link' }, this.props),
      this.props.children
    );
    var slash = _React2['default'].createElement(
      'span',
      { className: prefixCls + '-slash' },
      '/'
    );
    if (typeof this.props.href === 'undefined') {
      link = _React2['default'].createElement(
        'span',
        _extends({ className: prefixCls + '-link' }, this.props),
        this.props.children
      );
    }
    return _React2['default'].createElement(
      'span',
      null,
      link,
      slash
    );
  }
});

var Breadcrumb = _React2['default'].createClass({
  displayName: 'Breadcrumb',

  contextTypes: {
    router: _React2['default'].PropTypes.func.isRequired
  },
  render: function render() {
    var crumbs, routes, params;
    if (this.context.router && this.props.Router) {
      var Link = this.props.Router.Link;
      routes = this.context.router.getCurrentRoutes();
      params = this.context.router.getCurrentParams();
      crumbs = routes.map(function (route, i) {
        var name = route.name.replace(/\:(.*)/g, function (replacement, key) {
          return params[key] || replacement;
        });
        var link;
        if (i === routes.length - 1) {
          link = _React2['default'].createElement(
            'span',
            null,
            name
          );
        } else {
          link = _React2['default'].createElement(
            Link,
            { to: route.path, params: params },
            name
          );
        }
        return _React2['default'].createElement(
          BreadcrumbItem,
          null,
          link
        );
      });
    } else {
      crumbs = this.props.children;
    }
    return _React2['default'].createElement(
      'div',
      { className: prefixCls },
      crumbs
    );
  }
});

Breadcrumb.Item = BreadcrumbItem;
exports['default'] = Breadcrumb;
module.exports = exports['default'];