'use strict';

var _interopRequireWildcard = function (obj) { return obj && obj.__esModule ? obj : { 'default': obj }; };

Object.defineProperty(exports, '__esModule', {
  value: true
});

var _React = require('react');

var _React2 = _interopRequireWildcard(_React);

var _Calendar = require('rc-calendar');

var _Calendar2 = _interopRequireWildcard(_Calendar);

var _GregorianCalendar = require('gregorian-calendar');

var _GregorianCalendar2 = _interopRequireWildcard(_GregorianCalendar);

var _zhCn = require('gregorian-calendar/lib/locale/zh-cn');

var _zhCn2 = _interopRequireWildcard(_zhCn);

var _CalendarLocale = require('rc-calendar/lib/locale/zh-cn');

var _CalendarLocale2 = _interopRequireWildcard(_CalendarLocale);

var _DateTimeFormat = require('gregorian-calendar-format');

var _DateTimeFormat2 = _interopRequireWildcard(_DateTimeFormat);

// 和顶部文案保持一致

var _Locale = require('gregorian-calendar-format/lib/locale/zh-cn');

var _Locale2 = _interopRequireWildcard(_Locale);

'use strict';

var Datepicker = _Calendar2['default'].Picker;

_Locale2['default'].shortMonths = ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月'];

// 以下两行代码
// 给没有初始值的日期选择框提供本地化信息
var defaultCalendarValue = new _GregorianCalendar2['default'](_zhCn2['default']);
defaultCalendarValue.setTime(Date.now());

exports['default'] = _React2['default'].createClass({
  displayName: 'index',

  getInitialState: function getInitialState() {
    var value;
    if (this.props.value) {
      value = new _GregorianCalendar2['default'](_zhCn2['default']);
      value.setTime(new Date(this.props.value).valueOf());
    }
    return {
      value: value
    };
  },
  componentWillReceiveProps: function componentWillReceiveProps(nextProps) {
    if (nextProps.value) {
      var value = new _GregorianCalendar2['default'](_zhCn2['default']);
      value.setTime(new Date(nextProps.value).valueOf());
      this.setState({
        value: value
      });
    }
  },
  getDefaultProps: function getDefaultProps() {
    return {
      format: 'yyyy-MM-dd',
      placeholder: '请选择日期',
      transitionName: 'slide-up',
      onSelect: function onSelect() {}
    };
  },
  handleChange: function handleChange(v) {
    this.setState({
      value: v
    });
    this.props.onSelect(new Date(v.getTime()));
  },
  render: function render() {
    var calendar = _React2['default'].createElement(_Calendar2['default'], {
      disabledDate: this.props.disabled,
      locale: _CalendarLocale2['default'],
      orient: ['top', 'left'],
      defaultValue: defaultCalendarValue,
      showTime: this.props.showTime,
      prefixCls: 'ant-calendar',
      showOk: this.props.showTime,
      showClear: false });
    return _React2['default'].createElement(
      Datepicker,
      {
        transitionName: this.props.transitionName,
        trigger: _React2['default'].createElement('span', { className: 'ant-calendar-picker-icon' }),
        calendar: calendar,
        adjustOrientOnCalendarOverflow: false,
        formatter: new _DateTimeFormat2['default'](this.props.format),
        value: this.state.value,
        prefixCls: 'ant-calendar-picker',
        onChange: this.handleChange },
      _React2['default'].createElement('input', { placeholder: this.props.placeholder, className: 'ant-calendar-picker-input' })
    );
  }
});
module.exports = exports['default'];